Commit 8d1e56d8 authored by Laurent Montel's avatar Laurent Montel 😁

Add fatal error when we don't activate QTWEBENGINE_SUPPORT_OPTION but activate...

Add fatal error when we don't activate QTWEBENGINE_SUPPORT_OPTION but activate MESSAGEVIEWER_USE_QTWEBENGINE

bug reported by tittiatcoke
parent b8743788
......@@ -89,6 +89,9 @@ if (QTWEBENGINE_SUPPORT_OPTION)
find_package(Qt5 ${QT_REQUIRED_MINIMUM_WEBENGINE_VERSION} CONFIG REQUIRED WebEngine WebEngineWidgets)
endif()
if (MESSAGEVIEWER_USE_QTWEBENGINE AND NOT QTWEBENGINE_SUPPORT_OPTION)
MESSAGE(FATAL_ERROR "QTWEBENGINE_SUPPORT_OPTION must be ON when you activate MESSAGEVIEWER_USE_QTWEBENGINE support.")
endif()
# Support for the GIT revision number in messagecomposer-version.h
if(EXISTS "${Messagelib_SOURCE_DIR}/.git")
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment